package com.qsoft.rs.sincoar.dto;

import java.io.Serializable;

public class TgenesubproductrateDTO implements Serializable {

    private static final long serialVersionUID = 382629579785582L;

    private Integer tgenesubproductratePK;

    private Integer recordversion;

    private Integer margin;

    private String operator;

    private Integer minterm;

    private Integer maxterm;

    private Integer minamount;

    private Integer maxamount;

    private Integer minrate;

    private Integer maxrate;

    private String readjustmentoperator;

    private Integer readjustmentmargin;

    private Integer tgenebalancetype;

    private Integer tgenebaserate;

    private Integer tgenebaserate1;

    private Integer tgenebaserate2;

    private Integer tgenecompany;

    private Integer tgenesubproductcurrency;

        public Integer getTgenesubproductratePK() {
    return tgenesubproductratePK;
    }

        public void setTgenesubproductratePK(Integer tgenesubproductratePK) {
    this.tgenesubproductratePK = tgenesubproductratePK;
    }

        public Integer getRecordversion() {
    return recordversion;
    }

        public void setRecordversion(Integer recordversion) {
    this.recordversion = recordversion;
    }

        public Integer getMargin() {
    return margin;
    }

        public void setMargin(Integer margin) {
    this.margin = margin;
    }

        public String getOperator() {
    return operator;
    }

        public void setOperator(String operator) {
    this.operator = operator;
    }

        public Integer getMinterm() {
    return minterm;
    }

        public void setMinterm(Integer minterm) {
    this.minterm = minterm;
    }

        public Integer getMaxterm() {
    return maxterm;
    }

        public void setMaxterm(Integer maxterm) {
    this.maxterm = maxterm;
    }

        public Integer getMinamount() {
    return minamount;
    }

        public void setMinamount(Integer minamount) {
    this.minamount = minamount;
    }

        public Integer getMaxamount() {
    return maxamount;
    }

        public void setMaxamount(Integer maxamount) {
    this.maxamount = maxamount;
    }

        public Integer getMinrate() {
    return minrate;
    }

        public void setMinrate(Integer minrate) {
    this.minrate = minrate;
    }

        public Integer getMaxrate() {
    return maxrate;
    }

        public void setMaxrate(Integer maxrate) {
    this.maxrate = maxrate;
    }

        public String getReadjustmentoperator() {
    return readjustmentoperator;
    }

        public void setReadjustmentoperator(String readjustmentoperator) {
    this.readjustmentoperator = readjustmentoperator;
    }

        public Integer getReadjustmentmargin() {
    return readjustmentmargin;
    }

        public void setReadjustmentmargin(Integer readjustmentmargin) {
    this.readjustmentmargin = readjustmentmargin;
    }

        public Integer getTgenebalancetype() {
    return tgenebalancetype;
    }

        public void setTgenebalancetype(Integer tgenebalancetype) {
    this.tgenebalancetype = tgenebalancetype;
    }

        public Integer getTgenebaserate() {
    return tgenebaserate;
    }

        public void setTgenebaserate(Integer tgenebaserate) {
    this.tgenebaserate = tgenebaserate;
    }

        public Integer getTgenebaserate1() {
    return tgenebaserate1;
    }

        public void setTgenebaserate1(Integer tgenebaserate1) {
    this.tgenebaserate1 = tgenebaserate1;
    }

        public Integer getTgenebaserate2() {
    return tgenebaserate2;
    }

        public void setTgenebaserate2(Integer tgenebaserate2) {
    this.tgenebaserate2 = tgenebaserate2;
    }

        public Integer getTgenecompany() {
    return tgenecompany;
    }

        public void setTgenecompany(Integer tgenecompany) {
    this.tgenecompany = tgenecompany;
    }

        public Integer getTgenesubproductcurrency() {
    return tgenesubproductcurrency;
    }

        public void setTgenesubproductcurrency(Integer tgenesubproductcurrency) {
    this.tgenesubproductcurrency = tgenesubproductcurrency;
    }

}